/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
"use client";
import { createContext, useContext } from "react";
//#region src/components/client/Modal/ModalContext.tsx
const ModalContext = createContext(null);
const useInternalModalContext = () => {
	const context = useContext(ModalContext);
	if (!context) throw new Error("useInternalModalContext must be used within a Modal context provider");
	return context;
};
//#endregion
export { ModalContext, useInternalModalContext };
